<?php
namespace app\workerapi\logic;
use app\common\logic\BaseLogic;
use app\common\model\dict\DictType;

/**
 * @author 林海涛
 * @date ${DATA}
 */
class DictLogic extends BaseLogic
{
    public static function groupData($params): array
    {
        $typeArr = $params['type'];
        return DictType::with('dictData')->whereIn('type',$typeArr)
            ->field('id,type,name')
            ->where('status',1)
            ->select()
            ->toArray();
    }
}